Delete the NMS IP at Domain

Prev Next

This URL deletes the NMS IP at domain.

Resource URL

DELETE / domain/<domain_id> /nmsip/<ipId>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes
IPId NMS IP id Number Yes

Payload Parameters:

None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful, -1 otherwise Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/0/nmsip/49

Payload

None

Response

 {
       "status": 1
 } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 400 5601 IP address cannot be empty
3 400 5607 IP address not present in this domain
4 400 1406 Invalid IP format